diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/wifi-phy-cca-test.cc ns-3.47/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.46/src/wifi/test/wifi-phy-cca-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/wifi-phy-cca-test.cc	2026-02-16 16:08:49.882231000 -0800
@@ -2284,590 +2373,518 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1);
+        delay += testStep;
     }
 
     if (m_channelWidth > MHz_u{80})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the first 20 MHz subchannel of the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the first subchannel of "
-                            "S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{30},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the first 20 MHz subchannel of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the first subchannel of "
-                            "S80 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{30},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
-        ResetExpectedPer20MhzCcaBusyDurations();
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the second 20 MHz subchannel of the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the second subchannel of "
-                            "S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the second 20 MHz subchannel of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the second subchannel of "
-                            "S80 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(5) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
-        ResetExpectedPer20MhzCcaBusyDurations();
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the third 20 MHz subchannel of the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the third subchannel of "
-                            "S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
+        // energy detection threshold occupies the first 20 MHz subchannel of the S80
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the first subchannel of S80 below "
+            "ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{30}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the third 20 MHz subchannel of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the third subchannel of "
-                            "S80 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{10},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        // energy detection threshold occupies the first 20 MHz subchannel of the S80 27.3.20.6.4:
+        // Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = txDuration1;
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the first subchannel of S80 above "
+            "ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{30}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the fourth 20 MHz subchannel of the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the fourth subchannel of "
-                            "S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{30},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the second 20 MHz
+        // subchannel of the S80
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the second subchannel of S80 "
+            "below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the fourth 20 MHz subchannel of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies the fourth subchannel of "
-                            "S80 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{30},
-                       MHz_u{20}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the second 20 MHz subchannel
+        // of the S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or
+        // above –56 dBm.
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(5) = txDuration1;
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the second subchannel of S80 "
+            "above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the first and second 20 MHz subchannels of
-        // the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies the first and second "
-                            "subchannels of S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{20},
-                       MHz_u{40}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the third 20 MHz
+        // subchannel of the S80
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the third subchannel of S80 "
+            "below "
+            "ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the first and second 20 MHz subchannels of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies the first and second "
-                            "subchannels of S80 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 2, MicroSeconds(100));
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY - MHz_u{20},
-                       MHz_u{40}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the third 20 MHz subchannel of
+        // the S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or
+        // above –56 dBm.
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = txDuration1;
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the third subchannel of S80 "
+            "above "
+            "ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{10}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the third and fourth 20 MHz subchannels of
-        // the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies the third and fourth "
-                            "subchannels of S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-65},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{20},
-                       MHz_u{40}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the fourth 20 MHz
+        // subchannel of the S80
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the fourth subchannel of S80 "
+            "below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{30}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the third and fourth 20 MHz subchannels of the
-        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies the third and fourth "
-                            "subchannels of S80 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 6, 2, MicroSeconds(100));
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{20},
-                       MHz_u{40}}},
-                     {},
-                     {
-                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the fourth 20 MHz subchannel
+        // of the S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or
+        // above –56 dBm.
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = txDuration1;
+        ScheduleTest(
+            delay,
+            "Reception of a 20 MHz signal that occupies the fourth subchannel of S80 "
+            "above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{30}, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
-        // the energy detection threshold occupies the S80
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 80 MHz signal that occupies S80 below ED threshold");
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the first and second 20
+        // MHz subchannels of the S80
         ScheduleTest(
             delay,
-            {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
+            "Reception of a 40 MHz signal that occupies the first and second "
+            "subchannels "
+            "of S80 below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{20}, MHz_u{40}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {});
-        delay += Seconds(1);
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the S80 27.3.20.6.4: Any signal within the
-        // secondary 80 MHz channel at or above –56 dBm.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 80 MHz signal that occupies S80 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 4, MicroSeconds(100));
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the first and second 20 MHz
+        // subchannels of the S80 27.3.20.6.4: Any signal within the secondary 80 MHz
+        // channel at or above –56 dBm.
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 2, txDuration1);
         ScheduleTest(
             delay,
-            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
+            "Reception of a 40 MHz signal that occupies the first and second "
+            "subchannels "
+            "of S80 above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{20}, MHz_u{40}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY80,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE as long as a 160 MHz signal below the energy detection
-        // threshold occupies the whole band
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 160 MHz signal that occupies the whole band below ED threshold");
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the third and fourth 20
+        // MHz subchannels of the S80
         ScheduleTest(
             delay,
-            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P160_CENTER_FREQUENCY, MHz_u{160}}},
+            "Reception of a 40 MHz signal that occupies the third and fourth "
+            "subchannels "
+            "of S80 below ED threshold",
+            {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{20}, MHz_u{40}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {});
-
-        delay += Seconds(1);
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state is CCA-BUSY as long as a 160 MHz signal above the energy detection
-        // threshold occupies the whole band
-        Simulator::Schedule(
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the third and fourth 20 MHz
+        // subchannels of the S80 27.3.20.6.4: Any signal within the secondary 80 MHz
+        // channel at or above –56 dBm.
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 6, 2, txDuration1);
+        ScheduleTest(
             delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 160 MHz signal that occupies the whole band above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 8, MicroSeconds(100));
+            "Reception of a 40 MHz signal that occupies the third and fourth "
+            "subchannels "
+            "of S80 above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{20}, MHz_u{40}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {txEndSignal1 - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {txEndSignal1 + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a
+        // signal below the energy detection threshold occupies the S80
+        ScheduleTest(delay,
+                     "Reception of a 80 MHz signal that occupies S80 below ED threshold",
+                     {{dBm_u{-65}, tx1Start, txDuration1, S80_CENTER_FREQUENCY, MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += testStep;
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal
+        // above the energy detection threshold occupies the S80 27.3.20.6.4: Any
+        // signal within the secondary 80 MHz channel at or above –56 dBm.
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 4, txDuration1);
+        ScheduleTest(delay,
+                     "Reception of a 80 MHz signal that occupies S80 above ED threshold",
+                     {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY, MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{txEndSignal1 - smallDelta,
+                       1,
+                       tx1Start,
+                       txEndSignal1,
+                       WIFI_CHANLIST_SECONDARY80,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE as long as a 160 MHz signal below the energy
+        // detection threshold occupies the whole band
+        ScheduleTest(delay,
+                     "Reception of a 160 MHz signal that occupies the whole band below ED "
+                     "threshold",
+                     {{dBm_u{-55}, tx1Start, txDuration1, P160_CENTER_FREQUENCY, MHz_u{160}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+
+        delay += testStep;
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state is CCA-BUSY as long as a 160 MHz signal above the energy
+        // detection threshold occupies the whole band
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 8, txDuration1);
         ScheduleTest(
             delay,
-            {{dBm_u{-50}, MicroSeconds(0), MicroSeconds(100), P160_CENTER_FREQUENCY, MHz_u{160}}},
+            "Reception of a 160 MHz signal that occupies the whole band above ED "
+            "threshold",
+            {{dBm_u{-50}, tx1Start, txDuration1, P160_CENTER_FREQUENCY, MHz_u{160}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY for the P20 channel while the S80 channel was already in
-        // CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies S80 followed by the "
-                            "reception of another 20 MHz signal that occupies P20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(6) = MicroSeconds(50);
+        // Verify PHY notifies CCA-BUSY for the P20 channel while the S80 channel was
+        // already in CCA-BUSY state
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(6) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(6) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S80_CENTER_FREQUENCY + MHz_u{10},
-              MHz_u{20}},
-             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a 20 MHz signal that occupies S80 followed by the reception "
+            "of another "
+            "20 MHz signal that occupies P20",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{10}, MHz_u{20}},
+             {dBm_u{-55}, tx2Start, txDuration2, P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // state of primary stays idle
+                                                         // after aCcaTimeWithDelta
+                {tx2Start + aCcaTimeWithDelta,
                  WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
                                           // aCcaTimeWithDelta that followed the second
                                           // transmission
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY80,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of
+                                            // the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S40 channel while the S80
-        // channel was already in CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a signal that occupies S80 followed by the reception of "
-                            "another signal that occupies S40");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = MicroSeconds(50);
+        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S40 channel while
+        // the S80 channel was already in CCA-BUSY state
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(2) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S80_CENTER_FREQUENCY + MHz_u{30},
-              MHz_u{20}},
-             {dBm_u{-55},
-              MicroSeconds(50),
-              MicroSeconds(100),
-              S40_CENTER_FREQUENCY - MHz_u{10},
-              MHz_u{20}}},
+            "Reception of a signal that occupies S80 followed by the reception of "
+            "another signal "
+            "that occupies S40",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY + MHz_u{30}, MHz_u{20}},
+             {dBm_u{-55}, tx2Start, txDuration2, S40_CENTER_FREQUENCY - MHz_u{10}, MHz_u{20}}},
             {},
             {
-                {aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays IDLE
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {aCcaTimeWithDelta, WifiPhyState::IDLE},            // state of primary stays idle
+                                                                    // after aCcaTimeWithDelta
+                {tx2Start + aCcaTimeWithDelta, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY80,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of
+                                            // the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S80
-        // channel was already in CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a signal that occupies S80 followed by the reception of "
-                            "another signal that occupies S20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(4) = MicroSeconds(50);
+        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while
+        // the S80 channel was already in CCA-BUSY state
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(4) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S80_CENTER_FREQUENCY - MHz_u{30},
-              MHz_u{20}},
-             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a signal that occupies S80 followed by the reception of "
+            "another signal "
+            "that occupies S20",
+            {{dBm_u{-55}, tx1Start, txDuration1, S80_CENTER_FREQUENCY - MHz_u{30}, MHz_u{20}},
+             {dBm_u{-55}, tx2Start, txDuration2, S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
-                 WifiPhyState::IDLE}, // state of primary stays IDLE
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {aCcaTimeWithDelta, WifiPhyState::IDLE},            // state of primary stays idle
+                                                                    // after aCcaTimeWithDelta
+                {tx2Start + aCcaTimeWithDelta, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY80,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of
+                                            // the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_SECONDARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE when a 80 MHz PPDU with received power below the CCA
-        // sensitivity threshold occupies S80
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 80 MHz PPDU that occupies S80 below CCA sensitivity threshold");
+        // Verify PHY state stays IDLE when a 80 MHz PPDU with received power below the
+        // CCA sensitivity threshold occupies S80
         ScheduleTest(delay,
+                     "Reception of a 80 MHz PPDU that occupies S80 below CCA sensitivity "
+                     "threshold",
                      {},
-                     {{dBm_u{-70}, MicroSeconds(0), S80_CENTER_FREQUENCY, MHz_u{80}}},
+                     {{dBm_u{-70}, tx1Start, S80_CENTER_FREQUENCY, MHz_u{80}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{80}) - smallDelta,
